Package: java.util

## Class Timer

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `TimerTask` | `runAfter(int delay, Closure closure)` Allows a simple syntax for using timers.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public TimerTask runAfter(int delay, Closure closure)

      Allows a simple syntax for using timers. This timer will execute the given closure after the given delay.

      Parameters:
        `delay` - the delay in milliseconds before running the closure code
        `closure` - the closure to invoke
      Returns:
        The timer task which has been scheduled.
      Since:
        1.5.0